%global pkg_name gtksourceview2

%global common_summary Haskell %{pkg_name} library

%global common_description A Haskell %{pkg_name} binding.

%global ghc_pkg_deps ghc-glib-devel, ghc-gtk-devel, ghc-mtl-devel

%global ghc_pkg_c_deps gtksourceview2-devel

# debuginfo is not useful for ghc
%global debug_package %{nil}

Name:           ghc-%{pkg_name}
Version:        0.12.2
Release:        4%{?dist}
Summary:        %{common_summary}

Group:          System Environment/Libraries
License:        LGPLv2+
URL:            http://hackage.haskell.org/package/%{pkg_name}
Source0:        http://hackage.haskell.org/packages/archive/%{pkg_name}/%{version}/%{pkg_name}-%{version}.tar.gz
# fedora ghc archs:
ExclusiveArch:  %{ix86} x86_64 ppc alpha sparcv9
BuildRequires:  ghc, ghc-doc, ghc-prof
BuildRequires:  ghc-rpm-macros >= 0.7.3
BuildRequires:  hscolour
%{?ghc_pkg_deps:BuildRequires:  %{ghc_pkg_deps}, %(echo %{ghc_pkg_deps} | sed -e "s/\(ghc-[^, ]\+\)-devel/\1-doc,\1-prof/g")}
%{?ghc_pkg_c_deps:BuildRequires:  %{ghc_pkg_c_deps}}
BuildRequires:  gtk2hs-buildtools

%description
%{common_description}
%if %{with shared}
This package provides the shared library.
%endif


%{?ghc_lib_package}


%prep
%setup -q -n %{pkg_name}-%{version}


%build
%ghc_lib_build


%install
%ghc_lib_install

# move demos
rm -r $RPM_BUILD_ROOT%{_datadir}/%{pkg_name}-%{version}
echo %doc demo >> %{name}-devel.files


%changelog
* Thu Mar 10 2011 Fabio M. Di Nitto <fdinitto@redhat.com> - 0.12.2-4
- Enable build on sparcv9

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.12.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Jan 18 2011 Jens Petersen <petersen@redhat.com> - 0.12.2-2
- update to cabal2spec-0.22.4

* Tue Nov 30 2010 Jens Petersen <petersen@redhat.com> - 0.12.2-1
- update to 0.12.2

* Fri Nov 26 2010 Jens Petersen <petersen@redhat.com> - 0.12.1-2
- fix Cabal-1.10 build with ghc7-Gtk2HsSetup-Cabal-1.10.patch
- drop devhelp

* Thu Oct  7 2010 Jens Petersen <petersen@redhat.com> - 0.12.1-1
- update to 0.12.1
- put demo files in docdir

* Wed Sep  1 2010 Jens Petersen <petersen@redhat.com> - 0.11.1-1
- update to 0.11.1

* Sun Jul 18 2010 Jens Petersen <petersen@redhat.com> - 0.11.0-1
- BR ghc-glib, ghc-gtk, ghc-mtl
- ghc-rpm-macros-0.8.1
- support hscolour and devhelp

* Sun Jul 18 2010 Fedora Haskell SIG <haskell-devel@lists.fedoraproject.org> - 0.11.0-0
- initial packaging for Fedora automatically generated by cabal2spec-0.22.1
